svn commit: samba r18569 - in branches/SAMBA_4_0/source/script/tests: .

tridge at samba.org tridge at samba.org
Fri Sep 15 21:05:04 GMT 2006


Author: tridge
Date: 2006-09-15 21:05:03 +0000 (Fri, 15 Sep 2006)
New Revision: 18569

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=samba&rev=18569

Log:

add really simple testing of the 'simple' ntvfs backend, so we know
when it breaks. It isn't much good as a template for developers to use
unless it works :-)

Added:
   branches/SAMBA_4_0/source/script/tests/test_simple.sh
Modified:
   branches/SAMBA_4_0/source/script/tests/mktestsetup.sh
   branches/SAMBA_4_0/source/script/tests/tests_all.sh


Changeset:
Modified: branches/SAMBA_4_0/source/script/tests/mktestsetup.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/mktestsetup.sh	2006-09-15 20:57:29 UTC (rev 18568)
+++ branches/SAMBA_4_0/source/script/tests/mktestsetup.sh	2006-09-15 21:05:03 UTC (rev 18569)
@@ -119,6 +119,11 @@
 	cifs:domain = $DOMAIN
 	cifs:share = tmp
 
+[simple]
+	path = $TMPDIR
+	read only = no
+	ntvfs handler = simple
+
 [cifsposixtestshare]
 	read only = no
 	ntvfs handler = cifsposix

Added: branches/SAMBA_4_0/source/script/tests/test_simple.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/test_simple.sh	2006-09-15 20:57:29 UTC (rev 18568)
+++ branches/SAMBA_4_0/source/script/tests/test_simple.sh	2006-09-15 21:05:03 UTC (rev 18569)
@@ -0,0 +1,34 @@
+#!/bin/sh
+# run a quick set of filesystem tests
+
+if [ $# -lt 3 ]; then
+cat <<EOF
+Usage: test_simple.sh UNC USERNAME PASSWORD <first> <smbtorture args>
+EOF
+exit 1;
+fi
+
+unc="$1"
+username="$2"
+password="$3"
+start="$4"
+shift 4
+ADDARGS="$*"
+
+incdir=`dirname $0`
+. $incdir/test_functions.sh
+
+tests="BASE-RW1"
+
+failed=0
+for t in $tests; do
+    if [ ! -z "$start" -a "$start" != $t ]; then
+	continue;
+    fi
+    start=""
+    name="$t"
+    testit "$name" $VALGRIND bin/smbtorture $TORTURE_OPTIONS $ADDARGS $unc -U"$username"%"$password" $t || failed=`expr $failed + 1`
+done
+
+testok $0 $failed
+


Property changes on: branches/SAMBA_4_0/source/script/tests/test_simple.sh
___________________________________________________________________
Name: svn:executable
   + *

Modified: branches/SAMBA_4_0/source/script/tests/tests_all.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/tests_all.sh	2006-09-15 20:57:29 UTC (rev 18568)
+++ branches/SAMBA_4_0/source/script/tests/tests_all.sh	2006-09-15 21:05:03 UTC (rev 18569)
@@ -13,3 +13,4 @@
  $SRCDIR/script/tests/test_pidl.sh || failed=`expr $failed + $?`
  $SRCDIR/script/tests/test_smbclient.sh $SERVER $USERNAME $PASSWORD $DOMAIN $PREFIX || failed=`expr $failed + $?`
  $SRCDIR/script/tests/test_cifsdd.sh $SERVER $USERNAME $PASSWORD $DOMAIN || failed=`expr $failed + $?`
+ $SRCDIR/script/tests/test_simple.sh //$SERVER/simple $USERNAME $PASSWORD "" || failed=`expr $failed + $?`



More information about the samba-cvs mailing list